﻿
Функция ПроверитьСтруктуруВходаCatalog(ОтветJSON_Соответствие) Экспорт 
	//ES Ситало А И 26.10.2020 13:19:39{
	ТекстОшибки = "";
	СоответствиеПроверки = Новый Соответствие;
	
	Если ТипЗнч(ОтветJSON_Соответствие) = Тип("Массив") Тогда 
		МассивError = Новый Массив;
		Для Каждого ЭлементМассива Из ОтветJSON_Соответствие Цикл 
			ТекстОшибки = "";
			СтруктураError = Новый Структура;
			clientCategory = ЭлементМассива.Получить("clientCategory");	
			Если Не ЗначениеЗаполнено(clientCategory) Тогда 
				ТекстОшибки = ТекстОшибки +"
				|Не заполнено обязательное поле: clientCategory"; 
			КонецЕсли;
			
			clientType = ЭлементМассива.Получить("clientType"); 
			Если Не ЗначениеЗаполнено(clientType) Тогда 			
				ТекстОшибки = ТекстОшибки +"
				|Не заполнено обязательное поле: clientType"; 
			КонецЕсли;
			
			clientGroup = ЭлементМассива.Получить("clientGroup"); 
			Если Не ЗначениеЗаполнено(clientGroup) Тогда 			
				ТекстОшибки = ТекстОшибки +"
				|Не заполнено обязательное поле: clientGroup"; 
			КонецЕсли;
			
			country = ЭлементМассива.Получить("country"); 
			Если Не ЗначениеЗаполнено(country) Тогда 			
				ТекстОшибки = ТекстОшибки +"
				|Не заполнено обязательное поле: country"; 
			КонецЕсли;
			
			inn = ЭлементМассива.Получить("inn"); 
			Если Не ЗначениеЗаполнено(inn) Тогда 			
				ТекстОшибки = ТекстОшибки +"
				|Не заполнено обязательное поле: inn"; 
			КонецЕсли;
			
			phone = ЭлементМассива.Получить("phone"); 
			Если Не ЗначениеЗаполнено(phone) Тогда 			
				ТекстОшибки = ТекстОшибки +"
				|Не заполнено обязательное поле: phone"; 
			КонецЕсли;
			
			email = ЭлементМассива.Получить("email"); 
			Если Не ЗначениеЗаполнено(email) Тогда 			
				ТекстОшибки = ТекстОшибки +"
				|Не заполнено обязательное поле: email"; 
			КонецЕсли;
			
			linkDF = ЭлементМассива.Получить("linkDF"); 
			Если Не ЗначениеЗаполнено(linkDF) Тогда 			
				ТекстОшибки = ТекстОшибки +"
				|Не заполнено обязательное поле: linkDF"; 
			КонецЕсли;
			
			idDF = ЭлементМассива.Получить("idDF"); 
			Если Не ЗначениеЗаполнено(idDF) Тогда 			
				ТекстОшибки = ТекстОшибки +"
				|Не заполнено обязательное поле: idDF"; 
			КонецЕсли;
			Если ТекстОшибки <> "" Тогда 
				СтруктураError.Вставить("idDF",idDF);
				СтруктураError.Вставить("description", ТекстОшибки);
				МассивError.Добавить(СтруктураError);
			КонецЕсли;
		КонецЦикла;
		
	иначе
		ТекстОшибки = ТекстОшибки +"
		|Запрос не соответствует. должен быть массивом."; 
		
	КонецЕсли;
	
	СоответствиеПроверки.Вставить("ТекстОшибки",ТекстОшибки);
	
	Если МассивError.Количество() = 0 Тогда 
		СоответствиеПроверки.Вставить("ПрошлаПроверку",Истина);
	Иначе
		СоответствиеПроверки.Вставить("ПрошлаПроверку",Ложь);
		СоответствиеПроверки.Вставить("ТекстОшибки",МассивError);
	КонецЕсли;
	
	Возврат  СоответствиеПроверки;

	//}ES Ситало А И
КонецФункции

